<div class="">
    <header class="login">
        <div class="logo icon">
            <img src="" alt="AVACO">
        </div>
    </header>

    <div class="credentialsBox login">
        <div class="paddingBtmSml helveticaMed smallTitle borderBtm marginBtm">Login</div>
        <ul class="form">
            <li>
                <div class="tag">Username</div>
                <input type="text" name="username" ngModel #usernamecontrol="ngModel" [(ngModel)]="user.username"
                    pattern="^[a-z0-9._-]{5,30}$" required/>
                <div *ngIf="usernamecontrol.touched">
                    <small *ngIf="usernamecontrol.errors?.required" class="alert-msg">
                        Username is a required field!
                    </small>
                    <small *ngIf="usernamecontrol.errors?.pattern" class="alert-msg">
                        This is not a valid Username!!!
                    </small>
                </div>
                
            </li>
            <li>
                <div class="tag">Password</div>
                <input type="password" name="password" ngModel #passwordcontrol="ngModel" [(ngModel)]="user.password"
                 pattern="^(?=.*[A-Z])(?=.*[!@#$&*])(?=.*[0-9])(?=.*[a-z]).{8,16}$" required>
                  <div *ngIf="passwordcontrol.touched">
                    <small *ngIf="passwordcontrol.errors?.required" class="alert-msg">
                        Password is a required field!
                    </small>
                    <small *ngIf="passwordcontrol.errors?.pattern" class="alert-msg">
                        This is not a valid Password!!!
                    </small>
                </div>
            </li>
        </ul>
        <a  class="btn full" (click)="redirectToDashboard()">Login</a>
        <div>
            {{invalidLogin}}
        </div>
        <!-- <div class="rightAlign marginTopSml">
            <a routerLink="/new" class="lightBlueFonts smallest">Create new account</a>
        </div> -->
    </div>

</div>
